Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.repository.impl
Class DublinCoreDLVersionRedirectRepository

    java.lang.Object
      edu.stanford.smi.protegex.owl.repository.impl.AbstractStreamBasedRepositoryImpl
          edu.stanford.smi.protegex.owl.repository.impl.DublinCoreDLVersionRedirectRepository

All Implemented Interfaces:
  Repository

    public class DublinCoreDLVersionRedirectRepository

extends AbstractStreamBasedRepositoryImpl

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Oct 4, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary
`static String` | `DC`
`static String` | `DC_ALT`
`static String` | `DESCRIPTOR`

Constructor Summary
`DublinCoreDLVersionRedirectRepository()`

Method Summary
`boolean` | `contains(URI ontologyName)` Determines if the repository contains the specified ontology.
`boolean` | `equals(Object obj)`
`InputStream` | `getInputStream(URI ontologyName)` Gets an inputstream to read the specified ontology from
`Collection<URI>` | `getOntologies()` Gets the name of the ontologies that this repository contains.
`String` | `getOntologyLocationDescription(URI ontologyName)` Gets a description of where the specified ontology is located.
`OutputStream` | `getOutputStream(URI ontologyName)` Gets an output stream which can be used to write changes to the specified ontology.
`String` | `getRepositoryDescription()` Gets a description of the type of the repository.
`String` | `getRepositoryDescriptor()` Gets the descriptor for this repository.
`int` | `hashCode()`
`boolean` | `isSystem()` Determines if the ontology repository is a system repository.
`boolean` | `isWritable(URI ontologyName)` Determines if the specified ontology is writable.
`void` | `refresh()` Causes the repository to contain the latest information.

Methods inherited from class edu.stanford.smi.protegex.owl.repository.impl.AbstractStreamBasedRepositoryImpl
`hasOutputStream, loadImportedAssertions`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIPTOR

    public static final String DESCRIPTOR

See Also:
  Constant Field Values

### DC

    public static final String DC

See Also:
  Constant Field Values

### DC_ALT

    public static final String DC_ALT

See Also:
  Constant Field Values

Constructor Detail

### DublinCoreDLVersionRedirectRepository

    public DublinCoreDLVersionRedirectRepository()

Method Detail

### contains

    public boolean contains(URI ontologyName)

  Description copied from interface: `Repository`
  Determines if the repository contains the specified ontology.

  Parameters:
    `ontologyName` - The name of the ontology.

### refresh

    public void refresh()

  Description copied from interface: `Repository`
  Causes the repository to contain the latest information.

### getOntologies

    public Collection<URI> getOntologies()

  Description copied from interface: `Repository`
  Gets the name of the ontologies that this repository contains.

  Returns:
    A `Collection` containing `URI`s.

### getInputStream

    public InputStream getInputStream(URI ontologyName)
                               throws edu.stanford.smi.protege.exception.OntologyLoadException

  Description copied from class: `AbstractStreamBasedRepositoryImpl`
  Gets an inputstream to read the specified ontology from

  Specified by:
    `getInputStream` in class `AbstractStreamBasedRepositoryImpl`
  Parameters:
    `ontologyName` - The name of the ontology.
  Returns:
    an `InputStream` to read the ontology from, or `null` if the repository does not contain the ontology or the ontology cannot be retrieved.
  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### isWritable

    public boolean isWritable(URI ontologyName)

  Description copied from interface: `Repository`
  Determines if the specified ontology is writable.

  Returns:
    `true` if the ontology is writable, or `false` if the ontology is not writable.

### getOutputStream

    public OutputStream getOutputStream(URI ontologyName)
                                 throws IOException

  Description copied from interface: `Repository`
  Gets an output stream which can be used to write changes to the specified ontology.

  Parameters:
    `ontologyName` - The ontology to be written
  Returns:
    an `OutputStream` that can be used to write changes to the ontology, or `null` if the ontology is not writable.
  Throws:
    `IOException`

### isSystem

    public boolean isSystem()

  Description copied from interface: `Repository`
  Determines if the ontology repository is a system repository.

### getRepositoryDescription

    public String getRepositoryDescription()

  Description copied from interface: `Repository`
  Gets a description of the type of the repository. For example, "Local folder".

### getOntologyLocationDescription

    public String getOntologyLocationDescription(URI ontologyName)

  Description copied from interface: `Repository`
  Gets a description of where the specified ontology is located.

  Parameters:
    `ontologyName` - The name of the ontology.
  Returns:
    A `String` description of the location of the ontology, for example, "file:/Users/Blah/Blah/Blah". This return value will be an empty `String` if the repository does not contain the specified ontology.

### getRepositoryDescriptor

    public String getRepositoryDescriptor()

  Description copied from interface: `Repository`
  Gets the descriptor for this repository. This is used to serialise the repository in a list of the available repositories.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.